Ignore:
Timestamp:
02/09/2020 08:42:55 PM (20 months ago)
Author:
Ken Moffat <ken@…>
Branches:
10.0, 10.1, 11.0, 9.1, ken/refactor-virt, lazarus, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
dd4c317
Parents:
29d11601
Message:

Update details for libreoffice. Thanks to Uwe Dűffert for the seds.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@22644 af4574ff-66df-0310-9fd7-8a98e5e911e0

File:
1 edited

Legend:

Unmodified
Added
Removed
  • xsoft/office/libreoffice.xml

    r29d11601 rbbd73d4  
    2323  <!ENTITY libreoffice-translations-size          "164 MB">
    2424
    25   <!-- full size still accurate for 6.0.2, reconfiguring and rebuilding
    26    the built source after initial DESTDIR install doesn't take a vast time -->
    27 
    28   <!ENTITY libreoffice-buildsize  "6.5 GB (782 MB installed). Installing the whole set of languages was previously reported to require up to 26 GB (2.9 GB installed)">
     25  <!-- full size remeasured for 6.4.0.3 -->
     26
     27  <!ENTITY libreoffice-buildsize  "9.0 GB including the additional files if downloaded during the build (820 MB installed). Installing the whole set of languages for 6.4.0.3 required up to 25 GB (3.2 GB installed)">
     28
     29 <!-- Editors: many updates to poppler will break LO using system poppler until
     30      somebody is able to provide a patch or sed.  In these cases, please mark
     31      the dependency as currently broken and move the \-\-with-system-poppler
     32      line to a comment. Also please switch poppler between recommended and
     33      optional according to whether or not we use the system version.  The
     34      installed size will be increased by 2 MB if using the shipped poppler, but
     35      the variation in build times will be lost in the noise. - ken -->
    2936
    3037  <!-- for 6.1.2.1 I allowed 2 SBU for downloads, my total was
    3138       64.76 SBU with fast downloads
    3239       for 6.1.4.2 I just used the total time - bdubbs
     40
     41       For 6.4.0.3 downloading everything including dictionaries,
     42       help, translations took less than 2 minutes (1.1 SBU) with
     43       a good domestic internet connection.  Total time was 60 SBU - ken
    3344  -->
    34   <!ENTITY libreoffice-time "59 SBU with parallelism=4 including typical download time">
     45  <!ENTITY libreoffice-time "54 SBU with parallelism=4 including typical download time">
    3546
    3647]>
     
    91102
    92103    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     104
     105    <note>
     106      <para>
     107        Around 80 smallish tarballs and zip files will be downloaded during the
     108        build. If you have not downloaded one or more of the following, they too
     109        will also be downloaded during the build.
     110      </para>
     111    </note>
     112
    93113    <itemizedlist spacing="compact">
    94114      <listitem>
     
    194214      <xref linkend="graphite2"/>,
    195215      <xref linkend="gst10-plugins-base"/>,
    196       <xref linkend="gtk3"/> and
    197       <xref linkend="gtk2"/> (see <quote>Command Explanations</quote>),
     216      <xref linkend="gtk3"/>,
     217 <!-- <xref linkend="gtk2"/>  -->
    198218      <xref linkend="harfbuzz"/>,
    199  <!-- <xref linkend="icu"/>,-->
     219      <xref linkend="icu"/>
    200220      <xref linkend="libatomic_ops"/>,
    201221      <xref linkend="lcms2"/>,
     
    208228      <xref linkend="nss"/>,
    209229      <xref linkend="openldap"/> (if connecting to an LDAP server),
     230      <xref linkend="poppler"/>,
    210231      <xref linkend="postgresql"/>,
    211232      <xref linkend="redland"/>,
     
    232253      <xref linkend="mitkrb"/>,
    233254      <xref linkend="nasm"/>,
    234       <xref linkend="poppler"/> (currently broken),
    235255      <xref linkend="sane"/>,
    236256      <xref linkend="telepathy-glib"/>,
     
    311331
    312332    <para>
    313       Create symlinks to tarballs from the source directory so they won't
    314       get downloaded again:
     333      If you have downloaded the dictionaries, help and translations tarballs,
     334      create symlinks to them from the source directory so they won't get
     335      downloaded again:
    315336    </para>
    316337
    317338<screen><userinput>install -dm755 external/tarballs &amp;&amp;
    318339ln -sv ../../../libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz external/tarballs/ &amp;&amp;
    319 ln -sv ../../../libreoffice-help-&libreoffice-dlversion;.tar.xz         external/tarballs/</userinput></screen>
    320 
    321     <para>
    322       If you have downloaded the translations tarball, create a symlink:
    323     </para>
    324 
    325 <screen><userinput>ln -sv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
     340ln -sv ../../../libreoffice-help-&libreoffice-dlversion;.tar.xz         external/tarballs/ &amp;&amp;
     341ln -sv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
    326342
    327343    <note>
     
    364380sed -e '/JAVA_SOURCE_VER/s/6/7/' \
    365381    -e '/JAVA_TARGET_VER/s/6/7/' \
    366     -i configure.ac
    367 
    368 <!-- Removed in 6.2             - -with-alloc=system
    369      In 6.3  -disable-gtk -enable-gtk3 added (sic, I accidentally built like
    370      that) which allows removal of  - -with-system-cairo but did NOT cause
    371      system epoxy to be automatically used, as configure claimed -->
    372 <!--
    373      libfreehand-0.1.2 is downloaded (from freedesktop.org) but moving to
    374      ICU-65.1 has highlighted a missing semicolon in one of the files,
    375      causing libreoffice to fail to build : command moved to an option with
    376      explanation until a newer version of libfreehand is pulled in.
    377              \-\-with-system-icu           \
    378 -->
     382    -i configure.ac &amp;&amp;
     383
     384sed -e 's/globalParams = new GlobalParams()/globalParams.reset(new GlobalParams())/' \
     385    -i sdext/source/pdfimport/xpdfwrapper/wrapper_gpl.cxx
     386
     387sed -e 's/printPath( GfxPath/printPath(const GfxPath/' \
     388    -e 's/  GfxSubpath/ const GfxSubpath/' \
     389    -i sdext/source/pdfimport/xpdfwrapper/pdfioutdev_gpl.*
     390
    379391./autogen.sh --prefix=$LO_PREFIX         \
    380392             --sysconfdir=/etc           \
     
    401413             --with-system-graphite      \
    402414             --with-system-harfbuzz      \
     415             --with-system-icu           \
    403416             --with-system-jpeg          \
    404417             --with-system-lcms2         \
     
    411424             --with-system-openldap      \
    412425             --with-system-openssl       \
     426             --with-system-poppler       \
    413427             --with-system-postgresql    \
    414428             --with-system-redland       \
     
    416430             --with-system-zlib</userinput></screen>
    417431
    418 <!--             - -with-system-poppler       \ -->
    419432    <para>
    420433      The instructions below will only build the package without running
     
    501514    <para>
    502515      <command>sed -e ...</command>: The first sed prevents compression of the
    503       manual pages, the second one prevents the install from failing, and the
    504       the third allows to build with OpenJDK-12.
     516      manual pages, the second one prevents the install from failing, the third
     517      allows to build with OpenJDK-12, and the third and fourth allow
     518      poppler-0.85.0 to be used.
     519      <!-- FIXME update hardcoded poppler version in text when necessary -->
    505520    </para>
    506521
     
    563578
    564579    <para>
    565       <parameter>-disable-gtk -enable-gtk3</parameter>: This pair of switches
    566       tell the configure script to use <application>GTK+-3</application> instead
    567       of <application>GTK+-2</application>.
    568     </para>
    569 
    570     <para>
    571580      <parameter>--without-junit</parameter>: This switch disables the tests
    572581      for the deprecated HSQLDB driver which is written in Java. If you wish
     
    598607      <parameter>--enable-python=system</parameter>: This switch tells
    599608      <application>LibreOffice</application> to use installed
    600       <application>Python 3</application> to build the translations instead of
     609      <application>Python 3</application> instead of
    601610      the bundled one.
    602611    </para>
     
    654663    </para>
    655664
    656     <para>
    657       <option>--disable-gtk3</option>: Use this switch if you have not installed
     665<!-- only gtk3 is referenced in the configure script for 6.4.0.3
     666    <para>
     667      <option>\-\-disable-gtk3</option>: Use this switch if you have not installed
    658668      <application>GTK+-3</application>, or if you have installed it but wish
    659669      to use <application>GTK+-2</application> (the menu icons differ).
    660  <!-- Note that a <application>GTK+-3</application> build still
    661       requires <application>GTK+-2</application> to build the gtk-plugin.-->
    662     </para>
     670 <!\-\- Note that a <application>GTK+-3</application> build still
     671      requires <application>GTK+-2</application> to build the gtk-plugin.\-\->
     672    </para>-->
    663673
    664674    <para>
     
    668678      installed <application>PostgreSQL</application> and you do not want
    669679      <application>LibreOffice</application> to compile its bundled copy.
     680    </para>
     681
     682    <para>
     683      <option>--enable-gtk3-kde5</option>: This switch allows the Visual Class
     684      Library, which is responsible for widgets, to be built with KF5 file
     685      dialogs if GTK+-3, Qt5 and Plasma are all available.
    670686    </para>
    671687
Note: See TracChangeset for help on using the changeset viewer.